2017-11-20 03:53 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003139Kali Linux[All Projects] Kali Package Bugpublic2017-09-04 15:59
Reporterbakanongrata 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2017.2 
Summary0003139: spice-vdagent not sharing clipboard or resizing desktop
DescriptionIt appears to me that Kali reintroduced the bug here:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756243

The spice-vdagent 0.15.0-1.1 was configured against console-kit instead of systemd.
0.15.0-1.2 resolved this issue, but the version installed in Kali is 0.15.0.1.3 which again breaks the clipboard.

Downgrading to 0.15.0-1.2 fixed the issue.

Additional InformationI am running Archlinux as a host OS with libvirt and spice-gtk3 client.
Attached Files

-Relationships
+Relationships

-Notes

~0007245

crash (reporter)

Hi guys!
This bug is fixed in the version 0.17.0-1.

A little problem is there is a bug in the start script:

Selecting previously unselected package spice-vdagent.
(Reading database ... 368803 files and directories currently installed.)
Preparing to unpack .../spice-vdagent_0.17.0-1_amd64.deb ...
Unpacking spice-vdagent (0.17.0-1) ...
Setting up spice-vdagent (0.17.0-1) ...
update-rc.d: We have no instructions for the spice-vdagent init script.
update-rc.d: It looks like a non-network service, we enable it.
spice-vdagentd.target is a disabled or a static unit, not starting it.
Processing triggers for systemd (234-2.3) ...
Processing triggers for man-db (2.7.6.1-2) ...
Log ended: 2017-09-04 10:38:02

solution:

root@kali:/etc/systemd/system# mkdir spice-vdagentd.target.wants

ln -s /lib/systemd/system/spice-vdagentd.service /etc/systemd/system/spice-vdagentd.target.wants/spice-vdagentd.service

~0007246

rhertzog (administrator)

That should be fixed with base-files 2017.2.1. I have added spice-vdagentd.service in the whitelist of services that can be enabled by default.

Please feel free to re-open if that doesn't work in the upcoming daily images:
http://archive.kali.org/kali-daily-images/
+Notes

-Issue History
Date Modified Username Field Change
2016-03-12 02:18 bakanongrata New Issue
2017-09-04 15:27 crash Note Added: 0007245
2017-09-04 15:59 rhertzog Assigned To => rhertzog
2017-09-04 15:59 rhertzog Status new => resolved
2017-09-04 15:59 rhertzog Resolution open => fixed
2017-09-04 15:59 rhertzog Fixed in Version => 2017.2
2017-09-04 15:59 rhertzog Note Added: 0007246
+Issue History